| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
-10
Man, who thought that blue color for a t-shirt would be a good idea??? Even black color would have been better! |
|
+6
E was a good problem. F was good too. Overall a balanced and good problemset! |
|
0
Are there any updates on the t-shirt distribution? Haven't got any email regarding this. |
|
0
I hate C. How hard was it to find the d values :( |
|
0
Where do I get the update for the t shirt? |
|
-15
I absolutely hate these kinds of editorials, where the solution to a problem is written in 4 lines like — oh we can do this for the solution, then do that, then do this greedy approach which we won't explain how it is correct, and then finally find answer with some random data structure which we won't bother to implement. You might as well don't write the editorial please, it will make no difference. You guys need to understand that a person who comes to the editorial, is expecting a detailed solution with good explanation, so that he/she can learn the idea behind it and use in future problems, and not a 4 line paragraph where half of the things are just written without any proofs or anything. Random people posting explanation in discussion thread are far better than these stupid editorials. |
|
0
I think E was too easy to be a Div 3 E. Loved solving F1. Thought F2 was on similar lines of F1 but it was actually way more difficult. Overall a nice problem set! |
|
0
Problem A — Simple sort and binary search. Problem B — Note that 1st element can only be modified by operations on element 2. Accordingly iterate over the array, simulate the operations on each, and check the last 2 elements for 0. In any case, element value goes < 0, answer is not possible. Problem C — Simple substring search. First, count for Problem D — Let Problem E — For each row, let |
|
0
In E, how can you say that the sum is a convex function? |
|
+2
Can someone explain the editorial of D in more detail? |
|
-8
I could only think of a bruteforce solution to D. |
|
+7
Took so much time for C, couldn't even think about D much. How to solve D? |
|
0
I solved problem B easily but couldn't solve C. Don't know whether to feel sad or happy about this. |
|
0
I found F easier than E. The time limit of 6 seconds on E allowed my O(q*1000*logn) solution to pass. |
|
0
In editorial of problem D, what is the "another case to work"? |
|
+17
D was absolute best!. Couldn't solve it but enjoyed thinking about it. Same for C. |
|
-15
Another Div 3 which I'm going to downvote. Authors think that they are preparing problems for Div 2. D — good idea but shit ton of implementation. E — couldn't solve but I think it's some casework which I absolutely hate, hence didn't bother. Also, C = https://codeforces.me/contest/1462/problem/C. wtf? |
|
+3
How to do E? My idea was to consider every chip as the last remaining chip, then to calculate answer by considering that the chips in the same row will just move towards the selected chip, and chips in the other row would first go towards the cell directly above the selected chip and then in 1 move, move downwards to finally become 1 chip. Am I missing something? |
|
-19
But the algorithm I mentioned will give the correct answer, no? |
|
0
My idea for F — Find the path from x to y. Let the path array be composed of nodes u1, u2, u3 ... ul, where u1 = x and ul = y. Then for every u, do a BFS considering u as the root, and store the distances in a array dis. Then the answer is length of path + 2*(sum of all distances of mentioned k nodes). But it got WA on test 2. Am I missing something? |
|
+5
I think there is a typo in editorial for D. For the line
Instead of decrement j, it should be decrement i. |
|
+2
I went rainboy mode in this contest. |
|
+12
|
|
+9
C is the one of the worst questions I have seen in a while. The last paragraph of the problem is so confusing, even looking at samples didn't help. I had the idea in 5 minutes, but took 4 WA's on test 1 just because the output formatting is wrong. Also, what does this line have anything to do with anything? This just makes the problem even more confusing. And lastly, would it kill you guys to give the initial points as sorted? So much extra implementation just to print the indices of the points in original order after god knows how many times I used sort(). On the other hand, the problem itself and the idea behind it is nice. I just don't like the fact that I have to spend 10 minutes on thinking about the solution + implementations and then 30 minutes to properly format the output just so that it passes samples. |
|
0
Can someone provide a proof of how Div 2 D has time complexity of |
|
+5
Was the idea of E something like this —
|
|
+1
D was a nice question. 0-1 Knapsack DP hidden behind a good observation — max operations on any index i can be atmax 12. So if k>=12*n, ans would be sum of array c otherwise apply standard DP for 0-1 knapsack. |
|
0
The procedure was to find x,y and then partition the array in k parts. 1. If x,y satisfies the constraints of the problem, then x,y+1 too, and if x,y don't satisfy the constraints, then x,y-1 also won't. This gives an idea to binary search on y. 2. So we iterate over x, binary search on y, and then we get our optimal x and y. Notice that once we get our optimal x and y (call them ansx and ansy), the following relation will hold — no of elements outside [ansx, ansy] + k <= no of elements inside [ansx, ansy] So to partition the array, following greedy strategy works — First partition array in k-1 parts so that count of excluded == count of included-1, then assign the remaining array as last partition. The last parition will also satisify the constraints of [ansx, ansy] because of the relation mentioned above. |
|
+12
Am I the only one who initially thought for Div2 C, the answer is -1 for k=n-1, then after 2 WA's realized it is only for n=4? PS. Div2 D was a nice question! |
|
+21
I declare myself the dumbest person on this planet when I realized after 40 mins that string of length 1 is always a palindrome, so you only need to handle strings of length 2 and 3. |
|
+22
After giving this contest, I have a feeling that my 2022 won't be going well either. |
|
0
In editorial of C,
Why only |
|
+3
My recursive binary search solution passed (https://codeforces.me/contest/1613/submission/137671370). |
|
+23
For me, A > B and D > E. In other words, I felt E was easier than D and B was easier than A. Although A was easy too, just some bit of implementation. |
|
-12
I think that the authors of this contest need to be reminded that this is a Div 3 round, not a Div 2 round. Div 3 should be ideal for beginners/newbies, this round certainly wasn't. |
|
0
Why in C we do we need to go to the deepest subtree? Why can't we take any subtree whose xor is x? |
|
+11
When I solved A and B under 15 minutes, the round gets unrated. Of course, why not :( |
|
+3
Can someone give some strong test cases for D? I thought of every test case I could and stil couldn't figure out the bug in my code. |
|
0
Can someone explain me how to do this part in the solution of 1558B?
|
|
+7
Div2 B was a nightmare for me. |
|
+3
E was MUCH easier than F1. Damn caseworks in F1. Everytime I got WA, I discover a new casework. |
|
+3
operator precedence |
|
+7
Contrary to popular belief, I liked problem C. A good question based on bit contribution and combinatorics. |
|
-26
I hate div 2 C. |
|
-7
I swear I'll never give any writer's first contest. |
|
+11
I regret giving this contest :) |
|
+1
How in problem C1, the dp does not depend upon the actual potions taken? I mean, how can I calculate ans for dp[i][k] without knowing what is my current health? |
|
0
Can anyone tell why this code is giving TLE on test 125? |
|
+3
My Submission for C got TLE on pretest 3. Afterwards, including fast I/O and changing |
|
+13
A great and well balanced problem-set. Also, C was a nice question, although it took me an hour to implement it and fix bugs :(. |
|
+1
Getting a +150 increase and seeing contest becoming unrated hurts :( |
|
+6
How to change handle? |
|
-61
What an absolute stupid contest! No thinking, no DS, nothing. Just some stupid observations and you're good to go. Why do you even frame these type type of problems? Just say like — Print numbers from 1 to n. It will be a lot better to solve. Seriously, even Leetcode contests are better than these contests, atleast they require some thinking and implementation, and DS. But here, just put some if-else conditions in problem D which is supposed to be a good problem, and you're done! Absolute waste of time and effort. |
|
-7
What a stupid contest ! |
| Name |
|---|


